about summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xtests/t0010-validate-html.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/t0010-validate-html.sh b/tests/t0010-validate-html.sh
index 907a415..94aa52b 100755
--- a/tests/t0010-validate-html.sh
+++ b/tests/t0010-validate-html.sh
@@ -7,9 +7,12 @@ test_url()
 {
 	tidy_opt="-eq"
 	test -z "$NO_TIDY_WARNINGS" || tidy_opt+=" --show-warnings no"
-	cgit_url "$1" | sed -e "1,4d" >trash/tidy-$test_count
+	cgit_url "$1" >trash/tidy-$test_count || return
+	sed -ie "1,4d" trash/tidy-$test_count || return
 	tidy $tidy_opt trash/tidy-$test_count
 	rc=$?
+
+	# tidy returns with exitcode 1 on warnings, 2 on error
 	if test $rc = 2
 	then
 		false